﻿using CommunityToolkit.Maui.Views;

namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        this.showButton.Clicked += showButton_Clicked;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region 팝업 표시하기 버튼 클릭시 처리하기 - showButton_Clicked(sender, e)

    /// <summary>
    /// 팝업 표시하기 버튼 클릭시 처리하기
    /// </summary>
    /// <param name="sender">이벤트 발생자</param>
    /// <param name="e">이벤트 인자</param>
    private async void showButton_Clicked(object sender, EventArgs e)
    {
        CustomPopup popup = new CustomPopup();

        object result = await this.ShowPopupAsync(popup);

        string resultMessage = result.ToString();

        if(resultMessage == "외부")
        {
            await DisplayAlert("INFORMATION", $"팝업 외부 영역을 클릭했습니다.", "확인");
        }
        else
        {
            await DisplayAlert("INFORMATION", $"{resultMessage} 버튼을 클릭했습니다.", "확인");
        }
    }

    #endregion
}